﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace ForumPad
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // check if file modified

            if (main.Modified)
            {

                // if file is modified, then ask if the user want to save the changes

                DialogResult ask;

                ask = MessageBox.Show("Do you want to save the changes", "Exit", MessageBoxButtons.YesNo);

                {

                    try
                    {

                        // if user clicks no, program exits

                        if (ask == DialogResult.No)

                            Application.Exit();

                            // if user clicks yes, program save file

                        else if (ask == DialogResult.Yes)

                            saveFileDialog1.ShowDialog();



                        System.IO.StreamWriter file = new System.IO.StreamWriter(saveFileDialog1.FileName, true);

                        string text = main.Text;

                        file.WriteLine(text);

                        file.Close();

                        Application.Exit();

                    }

                    catch
                    {



                    }



                }

            }

            else

                Application.Exit();
        }

        private void newToolStripMenuItem_Click(object sender, EventArgs e)
        {
            {

                // check if the text is modified

                if (main.Modified)
                {

                    //if text is modified then ask the user if to save it or not

                    DialogResult ask;

                    ask = MessageBox.Show("Do you want to save the changes", "New Document", MessageBoxButtons.YesNo);

                    {

                        try
                        {

                            //if user clicks No, then notepad will be cleared

                            if (ask == DialogResult.No)

                                main.Clear();

                                // if user clicks yes, save file dialog will appear

                            else if (ask == DialogResult.Yes)

                                saveFileDialog1.ShowDialog();



                            //saving the file process

                            System.IO.StreamWriter file = new System.IO.StreamWriter(saveFileDialog1.FileName, true);

                            string text = main.Text;

                            file.WriteLine(text);

                            file.Close();

                            main.Clear();

                        }

                        catch
                        {



                        }







                    }
                }
            }
        }

        private void bindingSource1_CurrentChanged(object sender, EventArgs e)
        {

        }

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {

                // file dialog will appear
                openFileDialog1.InitialDirectory = "c:\\";
                openFileDialog1.Filter = "ForumPad Files (*.fpb)|*.fpb|Text Files (*.txt*)|*.txt*|All files (*.*)|*.*";
                openFileDialog1.FilterIndex = 2;
                openFileDialog1.RestoreDirectory = true;
                openFileDialog1.ShowDialog();

                System.IO.StreamReader File =

       new System.IO.StreamReader(openFileDialog1.FileName);

                string myString = File.ReadToEnd();

                File.Close();

                main.Text = myString;

            }

            catch
            {

            }
        }

        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                saveFileDialog1.Filter = "Notepad File|*.txt|ForumPad File|*.fpb";
                saveFileDialog1.Title = "Save File";
                saveFileDialog1.ShowDialog();

                System.IO.StreamWriter file = new System.IO.StreamWriter(saveFileDialog1.FileName, true);

                string text = main.Text;

                file.WriteLine(text);

                file.Close();

            }

            catch
            {



            }          
        }

        private void undoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (main.CanUndo == true)

                main.Undo();
        }

        private void cutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Clipboard.Clear();

            if (main.SelectionLength > 0)

                Clipboard.SetText(main.SelectedText);

            main.SelectedText = "";
        }

        private void copyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Clipboard.Clear();

            if (main.SelectionLength > 0)

                Clipboard.SetText(main.SelectedText);
        }

        private void pasteToolStripMenuItem_Click(object sender, EventArgs e)
        {
            main.Text = Clipboard.GetText();
        }

        private void selectAllToolStripMenuItem_Click(object sender, EventArgs e)
        {
            main.SelectAll();
        }

        private void bold_Click(object sender, EventArgs e)
        {
            main.AppendText("[b][/b]");
            ToolTip toolTip1 = new ToolTip();

            toolTip1.ShowAlways = true;

            toolTip1.SetToolTip(bold, "Click me to execute.");
        }

        private void italic_Click(object sender, EventArgs e)
        {
            main.AppendText("[i][/i]");
        }

        private void underline_Click(object sender, EventArgs e)
        {
            main.AppendText("[u][/u]");
        }

        private void strike_Click(object sender, EventArgs e)
        {
            main.AppendText("[s][/s]");
        }

        private void marquee_Click(object sender, EventArgs e)
        {
            main.AppendText("[move][/move]");
        }

        private void preformat_Click(object sender, EventArgs e)
        {
            main.AppendText("[pre][/pre]");
        }

        private void left_Click(object sender, EventArgs e)
        {
            main.AppendText("[left][/left]");
        }

        private void center_Click(object sender, EventArgs e)
        {
            main.AppendText("[center][/center]");
        }

        private void right_Click(object sender, EventArgs e)
        {
            main.AppendText("[right][/right]");
        }

        private void horizontal_Click(object sender, EventArgs e)
        {
            main.AppendText("[hr]");
        }

        private void size_Click(object sender, EventArgs e)
        {
            main.AppendText("[size=10pt][/size]");
        }

        private void face_Click(object sender, EventArgs e)
        {
            main.AppendText("[font=Verdana][/font]");
        }

        private void youtube_Click(object sender, EventArgs e)
        {
            main.AppendText("[youtube][/youtube]");
        }

        private void image_Click(object sender, EventArgs e)
        {
            main.AppendText("[attach]");
        }

        private void url_Click(object sender, EventArgs e)
        {
            main.AppendText("[url=http://]Link Text[/url]");
        }

        private void email_Click(object sender, EventArgs e)
        {
            main.AppendText("[email][/email]");
        }

        private void ftp_Click(object sender, EventArgs e)
        {
            main.AppendText("[ftp][/ftp]");
        }

        private void table_Click(object sender, EventArgs e)
        {
            main.AppendText("[table][/table]");
        }

        private void tablerow_Click(object sender, EventArgs e)
        {
            main.AppendText("[tr][/tr]");
        }

        private void columnrow_Click(object sender, EventArgs e)
        {
            main.AppendText("[td][/td]");
        }

        private void super_Click(object sender, EventArgs e)
        {
            main.AppendText("[sup][/sup]");
        }

        private void sub_Click(object sender, EventArgs e)
        {
            main.AppendText("[sub][/sub]");
        }

        private void tele_Click(object sender, EventArgs e)
        {
            main.AppendText("[tt][/tt]");
        }

        private void nobbc_Click(object sender, EventArgs e)
        {
            main.AppendText("[nobbc][/nobbc]");
        }

        private void quote_Click(object sender, EventArgs e)
        {
            main.AppendText("[quote][/quote]");
        }

        private void wiki_Click(object sender, EventArgs e)
        {
            main.AppendText("[wiki=][/wiki]");
        }

        private void spoiler_Click(object sender, EventArgs e)
        {
            main.AppendText("[spoiler][/spoiler]");
        }

        private void list_Click(object sender, EventArgs e)
        {
            main.AppendText("[list][li][/li][/list]");
        }

        private void customizeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Coming in Version 1.8");
        }

        private void optionsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Coming in Version 1.8");
        }

        private void printToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Coming in Version 1.8");
        }

        private void printPreviewToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Coming in Version 1.8");
        }

        private void saveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Coming in Version 1.8");
        }

        private void redoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Coming in Version 1.8");
        }

        private void changeFontToolStripMenuItem_Click(object sender, EventArgs e)
        {
            fontDialog1.ShowDialog();

            main.Font = fontDialog1.Font;
        }

        private void selectAllCopyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            main.SelectAll();
            Clipboard.Clear();

            if (main.SelectionLength > 0)

                Clipboard.SetText(main.SelectedText);

        }

        private void changeFontToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            fontDialog1.ShowDialog();

            main.Font = fontDialog1.Font;
        }

        private void selectAllCopyToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            main.SelectAll();
            Clipboard.Clear();

            if (main.SelectionLength > 0)

                Clipboard.SetText(main.SelectedText);
        }

        private void newToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            {

                // check if the text is modified

                if (main.Modified)
                {

                    //if text is modified then ask the user if to save it or not

                    DialogResult ask;

                    ask = MessageBox.Show("Do you want to save the changes", "New Document", MessageBoxButtons.YesNo);

                    {

                        try
                        {

                            //if user clicks No, then notepad will be cleared

                            if (ask == DialogResult.No)

                                main.Clear();

                                // if user clicks yes, save file dialog will appear

                            else if (ask == DialogResult.Yes)

                                saveFileDialog1.ShowDialog();



                            //saving the file process

                            System.IO.StreamWriter file = new System.IO.StreamWriter(saveFileDialog1.FileName, true);

                            string text = main.Text;

                            file.WriteLine(text);

                            file.Close();

                            main.Clear();

                        }

                        catch
                        {



                        }

                    }


                }
                    
                    }
                }

        private void openToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            try
            {

                // file dialog will appear

                openFileDialog1.ShowDialog();

                System.IO.StreamReader File =

       new System.IO.StreamReader(openFileDialog1.FileName);

                string myString = File.ReadToEnd();

                File.Close();

                main.Text = myString;

            }

            catch
            {

            }
        }

        private void saveToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            try
            {

                saveFileDialog1.ShowDialog();

                System.IO.StreamWriter file = new System.IO.StreamWriter(saveFileDialog1.FileName, true);

                string text = main.Text;

                file.WriteLine(text);

                file.Close();

            }

            catch
            {



            }          
        }

        private void exitToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            // check if file modified

            if (main.Modified)
            {

                // if file is modified, then ask if the user want to save the changes

                DialogResult ask;

                ask = MessageBox.Show("Do you want to save the changes", "Exit", MessageBoxButtons.YesNo);

                {

                    try
                    {

                        // if user clicks no, program exits

                        if (ask == DialogResult.No)

                            Application.Exit();

                            // if user clicks yes, program save file

                        else if (ask == DialogResult.Yes)

                            saveFileDialog1.ShowDialog();



                        System.IO.StreamWriter file = new System.IO.StreamWriter(saveFileDialog1.FileName, true);

                        string text = main.Text;

                        file.WriteLine(text);

                        file.Close();

                        Application.Exit();

                    }

                    catch
                    {



                    }



                }

            }

            else

                Application.Exit();
        }

        private void undoToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            if (main.CanUndo == true)

                main.Undo();
        }

        private void cutToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            if (main.CanUndo == true)

                main.Undo();
        }

        private void copyToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            Clipboard.Clear();

            if (main.SelectionLength > 0)

                Clipboard.SetText(main.SelectedText);
        }

        private void pasteToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            main.Text = Clipboard.GetText();
        }

        private void selectAllToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            main.SelectAll();
        }

        private void toolTip1_Popup(object sender, PopupEventArgs e)
        {
            
        }

        private void aboutBBCodeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            bbchelp bbchelp = new bbchelp();
            bbchelp.Show();
        }
    }
}
        

